
TYPO3.Fluid - Bug # 5107

Status: Resolved Priority: Must have
Author: Fernando Arconada Category:
Created: 2009-10-25 Assigned To: Sebastian Kurfuerst
Updated: 2010-10-20 Due date:
Has patch:
Affected Flow version:
Subject: namespaces names cant have more than one letter
Description

namespaces names cant have more than one letter in partials called from the layout

- {namespace z=Tx_foor_ViewHelpers} works
- {namespace za=Tx_Mytube_ViewHelpers} throws exception :#1224254792: 
Namespace could not be resolved. This exception should never be thrown! 
27 Tx_Fluid_Core_Parser_TemplateParser::handler_objectAccessor
(Tx_Fluid_Core_Parser_ParsingState, "z", "a:currentAction()", "")

Associated revisions
Revision 64b1682d - 2009-10-26 07:06 - Sebastian Kurfuerst

[+BUGFIX] Fluid (Core): Validation of ViewHelper arguments is non-mandatory now, as there is no validator for each domain object / we do not always
want to call it. Resolves #5108.
[+BUGFIX] Fluid (Core): Shorthand Syntax of ViewHelpers can now use longer namespace prefixes than one character. Resolves #5107.

History
#1 - 2009-10-26 06:21 - Sebastian Kurfuerst
- Project changed from Extbase MVC Framework to TYPO3.Fluid

#2 - 2009-10-26 06:21 - Sebastian Kurfuerst
- Status changed from New to Accepted
- Assigned To set to Sebastian Kurfuerst

#3 - 2009-10-26 07:09 - Sebastian Kurfuerst
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100
